
/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * This file is part of the IDE support for the AspectJ(tm)
 * programming language; see http://aspectj.org
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * either http://www.mozilla.org/MPL/ or http://aspectj.org/MPL/.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is AspectJ.
 *
 * The Initial Developer of the Original Code is Xerox Corporation. Portions
 * created by Xerox Corporation are Copyright (C) 1999-2002 Xerox Corporation.
 * All Rights Reserved.
 *
 * Contributor(s):
 */
 
package org.aspectj.tools.ajde.netbeans;

import org.netbeans.beaninfo.SystemOptionBeanInfo;
import org.openide.options.*;

import java.util.List;
import org.aspectj.ajde.*;
import org.aspectj.ajde.ui.*;

public class NbPreferencesAdapter implements UserPreferencesAdapter {

	public String getGlobalPreference(String name) {
		// not implemented
		return null;
	}

	public List getGlobalMultivalPreference(String name) {
		// not implemented	
		return null;
	}

	public void setGlobalPreference(String name, String value) {
	 	// not implemented	
	} 

	public void setGlobalMultivalPreference(String name, List values) {
		// not implemented	
	}

	public String getProjectPreference(String name) {
		OptionsAdapter oo = (OptionsAdapter)SystemOption.findObject(OptionsAdapter.class, true);
		return oo.getBuildOptionsNonstandard();
		//return null;
	}
 
	public List getProjectMultivalPreference(String name) {
		// not implemented	
		return null;
	}
	
	public void setProjectPreference(String name, String value) {
		OptionsAdapter oo = (OptionsAdapter) SystemOption.findObject(OptionsAdapter.class, true);
		oo.setBuildOptionsNonstandard(value);
	}

	public void setProjectMultivalPreference(String name, List values) {
		// not implemented
	}
}

